Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ajp
Class Ajp13SocketConnector

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.AbstractBuffers
              org.mortbay.jetty.AbstractConnector
                  org.mortbay.jetty.bio.SocketConnector
                      org.mortbay.jetty.ajp.Ajp13SocketConnector

All Implemented Interfaces:
  LifeCycle, Buffers, Connector

    public class Ajp13SocketConnector

extends SocketConnector

Author:
  Greg Wilkins, Markus Kobler markus(at)inquisitive-mind.com

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.bio.SocketConnector
`SocketConnector.Connection`

Field Summary

Fields inherited from class org.mortbay.jetty.bio.SocketConnector
`_connections, _serverSocket`

Fields inherited from class org.mortbay.jetty.AbstractConnector
`_lowResourceMaxIdleTime, _maxIdleTime, _soLingerTime`

Fields inherited from class org.mortbay.jetty.AbstractBuffers
`_loss, BUFFER_LOSS_RATE`

Constructor Summary
`Ajp13SocketConnector()`

Method Summary
`void` | `customize(EndPoint endpoint, Request request)` Customize a request for an endpoint.
`protected void` | `doStart()`
`boolean` | `isConfidential(Request request)`
`boolean` | `isIntegral(Request request)`
`protected HttpConnection` | `newHttpConnection(EndPoint endpoint)` Allows subclass to override Conection if required.
`void` | `setAllowShutdown(boolean allowShutdown)`
`void` | `setHeaderBufferSize(int headerBufferSize)` Set the size of the buffer to be used for request and response headers.
`void` | `setRequestBufferSize(int requestBufferSize)` Set the size of the content buffer for receiving requests.
`void` | `setResponseBufferSize(int responseBufferSize)` Set the size of the content buffer for sending responses.
`void` | `setSecretWord(String secretWord)`

Methods inherited from class org.mortbay.jetty.bio.SocketConnector
`accept, close, doStop, getConnection, getLocalPort, newBuffer, newServerSocket, open`

Methods inherited from class org.mortbay.jetty.AbstractConnector
`configure, connectionClosed, connectionOpened, getAcceptorPriorityOffset, getAcceptors, getAcceptQueueSize, getConfidentialPort, getConfidentialScheme, getConnections, getConnectionsDurationAve, getConnectionsDurationMax, getConnectionsDurationMin, getConnectionsDurationTotal, getConnectionsOpen, getConnectionsOpenMax, getConnectionsOpenMin, getConnectionsRequestsAve, getConnectionsRequestsMax, getConnectionsRequestsMin, getHost, getIntegralPort, getIntegralScheme, getLowResourceMaxIdleTime, getMaxIdleTime, getName, getPort, getRequests, getResolveNames, getServer, getSoLingerTime, getStatsOn, getStatsOnMs, getThreadPool, join, newContinuation, persist, setAcceptorPriorityOffset, setAcceptors, setAcceptQueueSize, setConfidentialPort, setConfidentialScheme, setHost, setIntegralPort, setIntegralScheme, setLowResourceMaxIdleTime, setMaxIdleTime, setName, setPort, setResolveNames, setServer, setSoLingerTime, setStatsOn, setThreadPool, statsReset, stopAccept, toString`

Methods inherited from class org.mortbay.jetty.AbstractBuffers
`getBuffer, getHeaderBufferSize, getRequestBufferSize, getResponseBufferSize, returnBuffer`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.jetty.Connector
`getHeaderBufferSize, getRequestBufferSize, getResponseBufferSize`

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from interface org.mortbay.io.Buffers
`getBuffer, returnBuffer`

Constructor Detail

### Ajp13SocketConnector

    public Ajp13SocketConnector()

Method Detail

### doStart

    protected void doStart()
                    throws Exception

  Overrides:
    `doStart` in class `SocketConnector`
  Throws:
    `Exception`

### customize

    public void customize(EndPoint endpoint,
                          Request request)
                   throws IOException

  Description copied from interface: `Connector`
  Customize a request for an endpoint. Called on every request to allow customization of the request for the particular endpoint (eg security properties from a SSL connection).

  Specified by:
    `customize` in interface `Connector`
  Overrides:
    `customize` in class `SocketConnector`
  Throws:
    `IOException`

### newHttpConnection

    protected HttpConnection newHttpConnection(EndPoint endpoint)

  Description copied from class: `SocketConnector`
  Allows subclass to override Conection if required.

  Overrides:
    `newHttpConnection` in class `SocketConnector`

### isConfidential

    public boolean isConfidential(Request request)

  Specified by:
    `isConfidential` in interface `Connector`
  Overrides:
    `isConfidential` in class `AbstractConnector`
  Parameters:
    `request` - A request
  Returns:
    true if the request is confidential. This normally means the https schema has been used.

### isIntegral

    public boolean isIntegral(Request request)

  Specified by:
    `isIntegral` in interface `Connector`
  Overrides:
    `isIntegral` in class `AbstractConnector`
  Parameters:
    `request` - A request
  Returns:
    true if the request is integral. This normally means the https schema has been used.

### setHeaderBufferSize

    public void setHeaderBufferSize(int headerBufferSize)

  Description copied from interface: `Connector`
  Set the size of the buffer to be used for request and response headers. An idle connection will at most have one buffer of this size allocated.

  Specified by:
    `setHeaderBufferSize` in interface `Connector`
  Overrides:
    `setHeaderBufferSize` in class `AbstractBuffers`
  Parameters:
    `headerBufferSize` - The headerBufferSize to set.

### setRequestBufferSize

    public void setRequestBufferSize(int requestBufferSize)

  Description copied from interface: `Connector`
  Set the size of the content buffer for receiving requests. These buffers are only used for active connections that have requests with bodies that will not fit within the header buffer.

  Specified by:
    `setRequestBufferSize` in interface `Connector`
  Overrides:
    `setRequestBufferSize` in class `AbstractBuffers`
  Parameters:
    `requestBufferSize` - The requestBufferSize to set.

### setResponseBufferSize

    public void setResponseBufferSize(int responseBufferSize)

  Description copied from interface: `Connector`
  Set the size of the content buffer for sending responses. These buffers are only used for active connections that are sending responses with bodies that will not fit within the header buffer.

  Specified by:
    `setResponseBufferSize` in interface `Connector`
  Overrides:
    `setResponseBufferSize` in class `AbstractBuffers`
  Parameters:
    `responseBufferSize` - The responseBufferSize to set.

### setAllowShutdown

    public void setAllowShutdown(boolean allowShutdown)

### setSecretWord

    public void setSecretWord(String secretWord)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.